For the complete documentation index, see llms.txt. This page is also available as Markdown.

eth_estimateGas - Tron

Example code for the eth_estimateGas JSON_RPC method. Complete guide on how to use eth_estimateGas JSON_RPC method in GetBlock Web3 documentation.

This method returns an estimate of the Energy required to execute a transaction, expressed in the Ethereum-compatible gas field. On TRON, this maps to Energy rather than gas.

Parameters

Parameter
Type
Required
Description

transaction

object

Yes

Transaction call object

Request

curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/jsonrpc' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "method": "eth_estimateGas",
    "params": [{"from": "0x41f0cc5a2a84cd0f68ed1667070934542d673acbd8", "to": "0x41a614f803b6fd780986a42c78ec9c7f77e6ded13c", "data": "0xa9059cbb..."}],
    "id": "getblock.io"
}'
example.js
const axios = require('axios');

const response = await axios.post('https://go.getblock.io/<ACCESS-TOKEN>/jsonrpc', {
    jsonrpc: '2.0',
    method: 'eth_estimateGas',
    params: [{"from": "0x41f0cc5a2a84cd0f68ed1667070934542d673acbd8", "to": "0x41a614f803b6fd780986a42c78ec9c7f77e6ded13c", "data": "0xa9059cbb..."}],
    id: 'getblock.io'
}, {
    headers: { 'Content-Type': 'application/json' }
});

console.log(response.data.result);
example.py
import requests

response = requests.post(
    'https://go.getblock.io/<ACCESS-TOKEN>/jsonrpc',
    headers={'Content-Type': 'application/json'},
    json={
        'jsonrpc': '2.0',
        'method': 'eth_estimateGas',
        'params': [{"from": "0x41f0cc5a2a84cd0f68ed1667070934542d673acbd8", "to": "0x41a614f803b6fd780986a42c78ec9c7f77e6ded13c", "data": "0xa9059cbb..."}],
        'id': 'getblock.io'
    }
)

print(response.json())

Response

{
    "jsonrpc": "2.0",
    "id": "getblock.io",
    "result": "0xfb1d"
}

Response Parameters

Parameter
Type
Description

jsonrpc

string

JSON-RPC protocol version ("2.0")

id

string

Request identifier matching the request

result

string

Hex-encoded estimated Energy, expressed as gas

Use Cases

  • Fee Preview: Estimate the Energy cost of a call

  • Fee Limits: Derive a fee limit from the estimate

  • Revert Detection: Detect a call that would fail before sending

  • Compatibility: Provide gas estimates to Ethereum-style tools

Error Handling

Error Code
Message
Description

-32602

Invalid params

Invalid transaction object or block parameter

-32000

Execution error

The call could not be executed against the current state

-32603

Internal error

The node failed to process the request

Was this helpful?